package com.mortals.xhx.module.doc.template.web;


import com.mortals.framework.web.BaseCRUDFormLong;
import com.mortals.xhx.module.doc.template.model.DocTemplateEntity;
import com.mortals.xhx.module.doc.template.model.vo.DocTemplateVo;
import com.mortals.xhx.module.doc.template.model.DocTemplateQuery;

/**
* DocTemplate
*
* doc模板 Form
*
* @author zxfei
* @date 2021-10-16
*/
public class DocTemplateForm extends BaseCRUDFormLong<DocTemplateEntity> {
    private DocTemplateEntity entity = new DocTemplateEntity();
    private DocTemplateQuery query = new DocTemplateQuery();
    public DocTemplateForm(){
    }

    @Override
    public DocTemplateEntity getEntity() {
        return entity;
    }

    public void setDocTemplate(DocTemplateEntity entity) {
        this.entity = entity;
    }

    @Override
    public DocTemplateQuery getQuery() {
        return query;
    }

    public void setQuery(DocTemplateQuery query) {
        this.query = query;
    }
}